PHP Manual
Prev |  | Next

# urldecode

(PHP 3, PHP 4, PHP 5)

urldecode -- Decodes URL-encoded string

## Description

string urldecode ( string str )

Decodes any `%`##`` encoding in the given string.

## Parameters

`str`

  The string to be decoded.

## Return Values

Returns the decoded string.

## Examples

Example 1. urldecode() example

`<?php $a = explode('&', $QUERY_STRING); $i = 0; while ($i < count($a)) { $b = split('=', $a[$i]); echo 'Value for parameter ', htmlspecialchars(urldecode($b[0])), ' is ', htmlspecialchars(urldecode($b[1])), "<br />\n"; $i++; } ?>`

## See Also

urlencode()
rawurlencode()
rawurldecode()

Prev | Home | Next
rawurlencode | Up | urlencode